summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michael Wagner <lapinours@web.de>2010-05-11 22:21:58 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:21:58 +0200
commitd2bb5bddf4feda373c9dc9cada27938b63a97d80 (patch)
tree666e716db4c7d586340f0e9e266f70a50f231bdf
parentbb1c000fc001372c83962082f0be6824e5254f13 (diff)
downloadslackbuilds-d2bb5bddf4feda373c9dc9cada27938b63a97d80.tar.gz
slackbuilds-d2bb5bddf4feda373c9dc9cada27938b63a97d80.tar.xz
desktop/lxpanel: Updated for version 0.3.8.1
-rw-r--r--desktop/lxpanel/README12
-rw-r--r--desktop/lxpanel/config.diff9
-rw-r--r--desktop/lxpanel/default.in.diff18
-rw-r--r--desktop/lxpanel/doinst.sh3
-rw-r--r--desktop/lxpanel/lxpanel.SlackBuild70
-rw-r--r--desktop/lxpanel/lxpanel.info10
-rw-r--r--desktop/lxpanel/panel.in.diff21
-rw-r--r--desktop/lxpanel/slack-desc2
8 files changed, 79 insertions, 66 deletions
diff --git a/desktop/lxpanel/README b/desktop/lxpanel/README
index fd461331ed..ae40a027b1 100644
--- a/desktop/lxpanel/README
+++ b/desktop/lxpanel/README
@@ -1,11 +1,5 @@
-LXpanel (NETWM/EWMH compliant lightweight x11 desktop panel)
+LXPanel
-Based on fbpanel, lxpanel provides an application menu generated from
-.desktop files as well as a launchbar, taskbar, and various plugins.
+LXPanel is a NETWM/EWMH compliant lightweight X11 desktop panel.
-The system-wide default configuration file is located under
-/usr/share/lxpanel/default. Users can easily change their configuration
-via the preferences dialog.
-
-Lxpanelctl is used to control the behavior of lxpanel during runtime.
-See the README file included with the source code for details.
+Lxpanel depends on intltool, which is available from SlackBuilds.org.
diff --git a/desktop/lxpanel/config.diff b/desktop/lxpanel/config.diff
new file mode 100644
index 0000000000..64f2ea3420
--- /dev/null
+++ b/desktop/lxpanel/config.diff
@@ -0,0 +1,9 @@
+--- data/default/config~ 2008-06-25 16:51:53.000000000 +0200
++++ data/default/config 2008-06-25 16:52:38.000000000 +0200
+@@ -1,4 +1,4 @@
+ [Command]
+-FileManager=pcmanfm %s
+-Terminal=xterm -e
++FileManager=thunar %s
++Terminal=Terminal -e
+
diff --git a/desktop/lxpanel/default.in.diff b/desktop/lxpanel/default.in.diff
deleted file mode 100644
index ab08a513ca..0000000000
--- a/desktop/lxpanel/default.in.diff
+++ /dev/null
@@ -1,18 +0,0 @@
---- data/default.in~ 2007-05-27 13:16:01.000000000 +0200
-+++ data/default.in 2007-05-27 13:22:56.000000000 +0200
-@@ -134,13 +134,10 @@
- type = launchbar
- config {
- button {
-- id = pcmanfm.desktop
-+ id = mozilla-firefox.desktop
- }
- button {
-- id = gnome-terminal.desktop
-- }
-- button {
-- id = firefox.desktop
-+ id = mozilla-thunderbird.desktop
- }
- }
- }
diff --git a/desktop/lxpanel/doinst.sh b/desktop/lxpanel/doinst.sh
index 859b74c6b2..b0778a9cb9 100644
--- a/desktop/lxpanel/doinst.sh
+++ b/desktop/lxpanel/doinst.sh
@@ -12,4 +12,5 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-config usr/share/lxpanel/default.new
+config usr/share/lxpanel/profile/default/panels/panel.new
+config usr/share/lxpanel/profile/default/config.new
diff --git a/desktop/lxpanel/lxpanel.SlackBuild b/desktop/lxpanel/lxpanel.SlackBuild
index 8d5f0a5e16..b96f4df9fe 100644
--- a/desktop/lxpanel/lxpanel.SlackBuild
+++ b/desktop/lxpanel/lxpanel.SlackBuild
@@ -1,30 +1,32 @@
#!/bin/sh
#
# Slackware build script for lxpanel
-# (C) 2007 Michael Wagner <lapinours@web.de>
-#
-# This program is free software; you can redistribute it and/or modify it
-# under the terms of the GNU General Public License as published by the
-# Free Software Foundation; either version 2 of the License, or (at your
-# option) any later version.
+# (C) 2008 Michael Wagner <lapinours@web.de>
+# All rights reserved.
#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-# Public License for more details.
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
#
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
#
-
-# Modified by the SlackBuilds.org project in accordance with GPL v2
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=lxpanel
-VERSION=0.2.4
+VERSION=0.3.8.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -36,37 +38,41 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . -perm 777 -exec chmod 755 {} \;
-# Patch default.in to use programs included in Slackware
-patch -p0 < $CWD/default.in.diff || exit 1
+# Patch config and panel.in to use programs included in Slackware
+patch -p0 < $CWD/config.diff
+patch -p0 < $CWD/panel.in.diff
CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- || exit 1
+ --mandir=/usr/man
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+gzip -9 $PKG/usr/man/man1/*.1 > /dev/null
-# Don't overwrite the default configuration file.
-mv $PKG/usr/share/$PRGNAM/default $PKG/usr/share/$PRGNAM/default.new
+# Don't overwrite the default configuration files.
+for i in config panels/panel; do
+ mv $PKG/usr/share/$PRGNAM/profile/default/$i $PKG/usr/share/$PRGNAM/profile/default/$i.new
+done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/desktop/lxpanel/lxpanel.info b/desktop/lxpanel/lxpanel.info
index f76564b089..ccbd5c2319 100644
--- a/desktop/lxpanel/lxpanel.info
+++ b/desktop/lxpanel/lxpanel.info
@@ -1,8 +1,8 @@
PRGNAM="lxpanel"
-VERSION="0.2.4"
-HOMEPAGE="http://lxde.sourceforge.net"
-DOWNLOAD="http://dl.sourceforge.net/lxde/lxpanel-0.2.4.tar.gz"
-MD5SUM="37d0e9f2993fc63d9e7e1684552e10b4"
+VERSION="0.3.8.1"
+HOMEPAGE="http://lxde.org"
+DOWNLOAD="http://dl.sourceforge.net/lxde/lxpanel-0.3.8.1.tar.gz"
+MD5SUM="18b03bd5556d14b8bd1adf00f4e95574"
MAINTAINER="Michael Wagner"
EMAIL="lapinours@web.de"
-APPROVED="rworkman"
+APPROVED="David Somero"
diff --git a/desktop/lxpanel/panel.in.diff b/desktop/lxpanel/panel.in.diff
new file mode 100644
index 0000000000..3266c18d9a
--- /dev/null
+++ b/desktop/lxpanel/panel.in.diff
@@ -0,0 +1,21 @@
+--- data/default/panels/panel.in~ 2008-06-25 16:35:25.000000000 +0200
++++ data/default/panels/panel.in 2008-06-25 16:37:47.000000000 +0200
+@@ -50,14 +50,15 @@
+ type = launchbar
+ Config {
+ Button {
+- id=pcmanfm.desktop
++ id=mozilla-firefox.desktop
+ }
+ Button {
+- id=gnome-terminal.desktop
++ id=mozilla-thunderbird.desktop
+ }
+ Button {
+- id=firefox.desktop
++ id=Terminal.desktop
+ }
++
+ }
+ }
+
diff --git a/desktop/lxpanel/slack-desc b/desktop/lxpanel/slack-desc
index 7e8e6ad089..7da8a79c95 100644
--- a/desktop/lxpanel/slack-desc
+++ b/desktop/lxpanel/slack-desc
@@ -11,7 +11,7 @@ lxpanel:
lxpanel: Based on fbpanel, lxpanel provides an application menu generated from
lxpanel: .desktop files as well as a launchbar, taskbar and various plugins.
lxpanel:
-lxpanel: Homepage: http://lxde.sourceforge.net
+lxpanel: Homepage: http://lxde.org
lxpanel:
lxpanel:
lxpanel: